Retrieve a span score

Retrieve a specific score for a span.

Path parameters

log_idstringRequired
Log Id
score_idstringRequired
Score Id

Headers

AuthorizationstringRequired

Bearer token. Use Bearer YOUR_API_KEY.

Response

Score details.
idstring
Score ID.
created_atdatetime
Creation timestamp.
typeenum
Evaluator type.
Allowed values:
environmentstring
Environment.
numerical_valuedouble or null
Numerical score value.
string_valuestring or null

String/text score value.

boolean_valueboolean or null
Boolean score value.
categorical_valuelist of strings or null

Categorical score value (array of strings).

is_passedboolean
Whether the score passes the evaluator's conditions.
costdouble
Cost of running the evaluation.
evaluator_idstring or null
UUID of the Respan platform evaluator.
evaluator_slugstring or null
Custom string identifier for the evaluator.
log_idstring or null
Associated span ID.
dataset_idstring or null
Associated dataset ID.

Errors

401
Unauthorized Error
404
Not Found Error